This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### cross()
Examples |
    PVector v1 = new PVector(10, 20, 2);
    PVector v2 = new PVector(60, 80, 6);
    PVector v3 = v1.cross(v2);
    println(v3);  // Prints "[ -40.0, 60.0, -400.0 ]"
Description | Calculates and returns a vector composed of the cross product between two vectors.
Syntax |
    .cross(v)
    .cross(v, target)
    .cross(v1, v2, target)
Parameters |
v | PVector: the vector to calculate the cross product
v | PVector: any variable of type PVector
target | PVector: PVector to store the result
v1 | PVector: any variable of type PVector
v2 | PVector: any variable of type PVector
target | PVector: PVector to store the result
Returns | PVector

Updated on October 26, 2013 08:58:33pm PDT